#ifndef CHEAT_BATTERY_HPP_
#define CHEAT_BATTERY_HPP_

#include <Item/StatelessItem/BasicItem/BasicItem.hpp>
#include <Item/IEnergyContainingItem.hpp>

/**
 * @brief The cheat battery which contains infinite energy.
 */
class CheatBattery : public BasicItem, public IEnergyContainingItem
{
public:
    CheatBattery(std::string name);

    virtual int pullEnergy(ItemStack &stack, int energy) override;
    virtual int pushEnergy(ItemStack &stack, int energy) override;
};

#endif